/*
 * Samsung API
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DIGITAL_WATCH_H__
#define __DIGITAL_WATCH_H__

#include <app.h>
#include <system_settings.h>
#include <efl_extension.h>
#include <glib.h>
#include <tizen.h>
#include <watch_app.h>
#include <watch_app_efl.h>
#include "log.h"


#if !defined(PACKAGE)
#define PACKAGE "$(packageName)"
#endif

#define IMG_DIR "/opt/usr/apps/$(packageName)/res/images/"
#define EDJ_FILE_PATH "/opt/usr/apps/$(packageName)/res/edje/$(appName).edj"

#define BUFFER_LENGTH 80

typedef struct appdata{
	Evas_Object* win;
	Evas_Object* layout;
	Evas_Object* conform;
	Evas_Object* image;
	int w;
	int h;
} appdata_s;

#endif /* __DIGITAL_WATCH_H__ */
